Subject: [bug#71615] [PATCH] Split out picocss from Mumi.

From: Arun Isaac <[email-masked]>
Date: Mon, 17 Jun 2024 22:29:26 +0100

Hi Felix,

Good point! We should do this. Some comments follow.

It would be good to split this into two separate commits—one adding
picocss, and the other using it in mumi. I will send a v2 patchset where
I have done this.

Also, we should decide on some directory structure for CSS packages like
picocss, similar to how we have a standardized directory structure for
our font packages. Simply copying the entire source tree copies over too
many unnecessary files.

Maybe prefix CSS packages with css-. So, css-picocss instead of
picocss. May also be an idea to put CSS packages in a separate file
gnu/packages/css.scm.

Thanks,
Arun